<?php

namespace App\Services\Equipment;

use App\Entities\Equipment\ServerEntity;
use App\Models\Equipment\ServerModel;
use CodeIgniter\HTTP\IncomingRequest;
use App\Services\Equipment\EquipmentService;

class ServerService extends EquipmentService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Server');
    }
    public function getModelClass(): ServerModel
    {
        return new ServerModel();
    }
    public function getEntityClass(): ServerEntity
    {
        return new ServerEntity();
    }
    public function getFormFields(): array
    {
        return [
            "model",
            "status",
            "description",
        ];
    }
    public function getFilterFields(): array
    {
        return ['status'];
    }
    public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['model', 'status'];
    }
}
